Libraries:
  - name: work
    paths:
    - "src/**/*.vhd"
    - "sim/runs/mux_fifo.cocotb/hdl/*.vhd"
    - "/opt/HDL/eda-common/vhdl/*.vhd"

  # Point to the IEEE standard libraries
  - name: ieee
    paths:
      - "/usr/lib/ghdl/src/ieee2008/*.vhdl"

  # Point to the Osvvm libraries
  - name: osvvm
    paths:
      - "/opt/HDL/osvvm/OsvvmLibraries/osvvm/*.vhd"

# - name: hardware_lib2
#   paths:
#       - "hardware_lib2/**/*.vhd"
#       - "hardware_lib2/**/*.vhdl"


# #Point to the IEEE standard libraries
# - name: ieee
#   paths:
#        - "/home/awesome-vhdl-dev/ieee/*.vhd"
#        - "/home/awesome-vhdl-dev/ieee/*.vhdl"


#Enable/disable typechecking
TypeCheck: True


#Enable/disable check-as-you-type
CheckOnChange: True


#Linter rule configuration.
#Rules can be enabled or disabled.
#Rules also have a severity. It may be one of Info, Warning, Critical or Error.
Lint:
#Threshold, below which messages are not displayed.
  Threshold: Info


#Long form rule configuration. Both enabled/disabled status and severity can be configured this way.
  DeclaredNotAssigned:
    enabled:  True
    severity: Warning #Default severity Warning


#Short form. Only enabled/disabled status can be specified. Severity is the default for the rule.
  DeclaredNotRead:             True #Default severity Warning
  ReadNotAssigned:             True #Default severity Critical
  SensitivityListCheck:        True #Default severity Warning
  ExtraSensitivityListCheck:   True #Default severity Warning
  DuplicateSensitivity:        True #Default severity Warning
  LatchCheck:                  True #Default severity Critical
  VariableNotRead:             True #Default severity Warning
  VariableNotWritten:          True #Default severity Warning
  PortNotRead:                 True #Default severity Warning
  PortNotWritten:              True #Default severity Critical
  NoPrimaryUnit:               True #Default severity Warning
  DuplicateLibraryImport:      True #Default severity Warning
  DuplicatePackageUsage:       True #Default severity Warning
  DeprecatedPackages:          True #Default severity Warning
  ImplicitLibraries:           True #Default severity Warning
  DisconnectedPorts:           True #Default severity Critical
